$! This file automates the process of building and installing DX.
$! If your site has LSE editore installed, linker will generate a
$! warning messages complaining some symbols being multiply defined.
$! Simply ignore the warning messages.  A executable DX.EXE will still
$! be produced.
$ set nover
$
$ 
$ write sys$output "Getting Options"
$ AXP == f$getsyi("HW_MODEL").ge.1024
$ OPEN/WRITE options options_file.opt
$ if .NOT.AXP 
$ then 
$	WRITE options "SYS$SHARE:VAXCRTL.EXE/SHARE"
$	CC_FLAG   = ""
$	LINK_FLAG = ""
$	olb = ".OLB"
$ else
$	CC_FLAG   = "/DEFINE=__AXP/STANDARD=VAXC"
$	LINK_FLAG = "/SYSLIB/NONATIVE"
$	olb = ".ALPHA_OLB"
$ endif
$ WRITE options "SYS$SHARE:TPUSHR.EXE/SHARE"
$ IF F$SEARCH("sys$share:lseshr.exe") .NES. "" THEN $ WRITE options "SYS$SHARE:LSESHR.EXE/SHARE"
$ CLOSE options
$ IF P1.eqs."LINK" then goto lien
$ write sys$output "Compiling EDITing part"
$ IF F$SEARCH("sys$share:lseshr.exe") .EQS. "" 
$ THEN $ CC fileredt
$ ELSE $ CC /DEFINE=EDT$LSE fileredt
$ ENDIF
$ write sys$output "Compiling DX."
$ on error then EXIT
$ set ver
$ CC'CC_FLAG'  direct
$ CC'CC_FLAG'  directkpd
$ CC'CC_FLAG'  directque
$ CC'CC_FLAG'  diff
$ CC'CC_FLAG'  dx
$ CC'CC_FLAG'  endecode
$ CC'CC_FLAG'  filer
$ CC'CC_FLAG'  filerapp
$ CC'CC_FLAG'  filercpy                                 
$ CC'CC_FLAG'  filercus                                 
$ CC'CC_FLAG'  filerdec                                 
$ CC'CC_FLAG'  filerdel                                 
$ CC'CC_FLAG'  filerdif                                 
$ CC'CC_FLAG'  filerenc                                 
$ CC'CC_FLAG'  filerexe                                 
$ CC'CC_FLAG'  filerflt                                 
$ CC'CC_FLAG'  filerfnd                                 
$ CC'CC_FLAG'  filerkpd                                 
$ CC'CC_FLAG'  filerlau                                 
$ CC'CC_FLAG'  filerpro                                 
$ CC'CC_FLAG'  filerprt                                 
$ CC'CC_FLAG'  filerpur                                 
$ CC'CC_FLAG'  fileropt                                 
$ CC'CC_FLAG'  filerque                                 
$ CC'CC_FLAG'  filerren                                 
$ CC'CC_FLAG'  filersta                                 
$ CC'CC_FLAG'  filersrt                                 
$ CC'CC_FLAG'  filertyp                                 
$ CC'CC_FLAG'  filerwin                                 
$ CC'CC_FLAG'  findfile                                 
$ CC'CC_FLAG'  inquire
$ CC'CC_FLAG'  menunavi
$ set nover
$ ! Ignore the warning messages
$ ON ERROR THEN CONTINUE
$ LIEN:
$ write sys$output "Linking DX."
$ if f$search("DX''olb'").eqs."" then LIB/CREATE/OBJ DX'olb'
$ if f$search("*.OBJ").nes."" 
$ then 
$	LIB/REPLACE DX'OLB' *.OBJ
$ 	DELETE/NOLOG *.obj;*
$ endif
$ link/EXE=DX.EXE'LINK_FLAG'  DX'OLB'/lib/include=DX,options_file/opt
$ if f$search("DXHELP.HLB").eqs."" then LIBRARY/HELP/CREATE DXHELP DX.HLP
$ write sys$output "DX built."
$ delete/nolog options_file.opt;*
$exit
