/*
**++
**  FACILITY:
**
**	FINDFILE.H
**
**  ABSTRACT:
**
**	[@tbs@]...
**
**  AUTHORS:
**
**      C. K. Hung
**
**
**  CREATION DATE:      20-APR-1990
**
**  MODIFICATION HISTORY:
**
**--
*/


/*
**
**	FUNCTION PROTOTYPING
**
**/
    int		    find_direct_file(void);
    int		    find_non_direct_file(void);
    int		    find_exclude_file(
			struct fil_dx_tag **, struct cur_filter_tag,
			enum sortbys, enum sortorders);
    int		    find_match_file(char *, unsigned short int);
    int		    find_queue_file(
			unsigned short *, struct filer_cache_tag *);
    struct fil_dx_tag *create_MARKER(void);
    int		    add_filelist_entry(
			struct fil_dx_tag *, struct fil_dx_tag *, 
			struct fil_dx_tag *);
    int		    free_filelist(struct fil_dx_tag **);
    int		    remove_filelist_entry(struct fil_dx_tag **);
    int		    insert_filelist_entry(
			struct fil_dx_tag *, struct fil_dx_tag, 
			enum sortbys, enum sortorders);
