#ifndef __INTS_LOADED
#define __INTS_LOADED 1

/*
 *  <ints.h> - Definitions for platform specific integer types 
 *
 *
 *  Copyright (c) 1993 by Digital Equipment Corporation.  All rights reserved.
 *
 *  DEC C for OpenVMS VAX and OpenVMS AXP
 *  DEC C++ for OpenVMS VAX and OpenVMS AXP
 */

#if defined(__DECC) || defined(__DECCXX)
#pragma __nostandard  /* This file uses non-ANSI-Standard features */
#else
#pragma nostandard
#endif

typedef signed char		int8;
typedef unsigned char		uint8;
typedef signed __int16		int16;
typedef unsigned __int16	uint16;
typedef signed __int32		int32;
typedef unsigned __int32	uint32;

#if defined(__ALPHA)
    typedef signed __int64	int64;
    typedef unsigned __int64	uint64;
#endif

#if defined(__DECC) || defined(__DECCXX)
#pragma __standard  /* This file uses non-ANSI-Standard features */
#else
#pragma standard
#endif

#endif	/* __INTS_LOADED */
